/**
 * License Agreement.
 *
 * JBoss RichFaces - Ajax4jsf Component Library
 *
 * Copyright (C) 2007 Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */ 
package org.ajax4jsf.bean;

/**
 * A4JOutputPanel Test Bean
 * @author Alexandr Levkovsky
 *
 */
public class A4JOutputPanelTestBean {
    
    private Boolean panel1VisibleFlag = true;
    private Boolean panel2VisibleFlag = true;
    private Boolean panel3VisibleFlag = true;
    private Boolean panel4VisibleFlag = true;
    
    /**
     * @return the panel1VisibleFlag
     */
    public Boolean getPanel1VisibleFlag() {
        return panel1VisibleFlag;
    }
    
    /**
     * @param panel1VisibleFlag the panel1VisibleFlag to set
     */
    public void setPanel1VisibleFlag(Boolean panel1VisibleFlag) {
        this.panel1VisibleFlag = panel1VisibleFlag;
    }
    
    /**
     * @return the panel2VisibleFlag
     */
    public Boolean getPanel2VisibleFlag() {
        return panel2VisibleFlag;
    }
    
    /**
     * @param panel2VisibleFlag the panel2VisibleFlag to set
     */
    public void setPanel2VisibleFlag(Boolean panel2VisibleFlag) {
        this.panel2VisibleFlag = panel2VisibleFlag;
    }
    
    /**
     * @return the panel3VisibleFlag
     */
    public Boolean getPanel3VisibleFlag() {
        return panel3VisibleFlag;
    }
    
    /**
     * @param panel3VisibleFlag the panel3VisibleFlag to set
     */
    public void setPanel3VisibleFlag(Boolean panel3VisibleFlag) {
        this.panel3VisibleFlag = panel3VisibleFlag;
    }
         
    /**
     * @return the panel4VisibleFlag
     */
    public Boolean getPanel4VisibleFlag() {
        return panel4VisibleFlag;
    }
    
    /**
     * @param panel4VisibleFlag the panel4VisibleFlag to set
     */
    public void setPanel4VisibleFlag(Boolean panel4VisibleFlag) {
        this.panel4VisibleFlag = panel4VisibleFlag;
    }
    
    public String b1Action(){
	setPanel2VisibleFlag(false);
	return null;
    }
    
    public String b2Action(){
	setPanel1VisibleFlag(false);
	setPanel2VisibleFlag(false);
	return null;
    }
    
    public String b3Action(){
	setPanel3VisibleFlag(false);
	return null;
    }
    
    public String b4Action(){
	setPanel4VisibleFlag(false);
	return null;
    }
    
    public String reset(){
	setPanel1VisibleFlag(true);
	setPanel2VisibleFlag(true);
	setPanel3VisibleFlag(true);
	setPanel4VisibleFlag(true);
	return null;
    }
}
